From 4e8f72ca61fd29e15647483b277a62d4640ee165 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Rafa=C3=ABl=20Carr=C3=A9?= <funman@videolan.org>
Date: Sun, 9 Mar 2008 12:59:53 +0100
Subject: [PATCH] Fix directory detection with broken filesystems on Linux

---
 modules/access/directory.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/modules/access/directory.c b/modules/access/directory.c
index f4ceb26..7218bfd 100644
--- a/modules/access/directory.c
+++ b/modules/access/directory.c
@@ -146,6 +146,13 @@ static int Open( vlc_object_t *p_this )
 {
     access_t *p_access = (access_t*)p_this;
 
+    if( !p_access->psz_path )
+        return VLC_EGENERIC;
+
+    struct stat st;
+    if( !stat( p_access->psz_path, &st ) && !S_ISDIR( st.st_mode ) )
+        return VLC_EGENERIC;
+
     DIR *handle = OpenDir (p_this, p_access->psz_path);
     if (handle == NULL)
         return VLC_EGENERIC;
-- 
1.5.4.3

